﻿<AML>
 <Item type="Method" id="031E535E99CB432CB147D02FCABAB943" action="add">
  <comments> clear previous relationships data and relationship tab refresh</comments>
  <execution_allowed_to keyed_name="World" type="Identity">A73B655731924CD0B027E4F4D5FCC0A9</execution_allowed_to>
  <method_code><![CDATA[/* *****************************************************************************
Method Name:			HideTabs_EquipmentDetails
Created By		:		SolidCAD 
Creation Date:			2018-01-23
Description:
	Clear previous relationships data initially
	Hide Sale Order Detail.
	
Hooks:
	Type:	Form	:	sop_sale_order_Service
	Event:	Form Event ( onFormPopulated )

Revisions:
	Rev Date		Modified By			Description
	YYYY-MM-DD		$username$			Initial creation
***************************************************************************** */
//debugger;
var myInnovator = new Innovator();

//debugger;
var tabbar;
var desiredTabId;
var _this_item = document.thisItem;
var _id = _this_item.getID();

/** clear previous relationships data initially **/
var check_stock = myInnovator.newItem("sop_sale_order", "get");
check_stock.setProperty("id", _id);
check_stock.setPropertyCondition("id", "eq");
check_stock = check_stock.apply();

var stk_check_stock = check_stock.getItemCount();
if (stk_check_stock <= 0) {
    var fRelationships = _this_item.fetchRelationships("sop_sale_order_details");
    var gRelationships = _this_item.getRelationships("sop_sale_order_details");
    var itemCount = gRelationships.getItemCount();

    for (var i = 0; i < itemCount; i++) {
        var item = gRelationships.getItemByIndex(i);
        _this_item.removeRelationship(item);
    }

    handleItemChange("pop_sub_amount", "0.00");
    handleItemChange("pop_gst_amount", "0.00");
    handleItemChange("pop_total_amount", "0.00");

    if (aras.getMostTopWindowWithAras(window).frames.relationships) { // check "no tabs in tab view" 
        var iFramesCollection = aras.getMostTopWindowWithAras(window).frames.relationships.iframesCollection;
        for (var tabId in iFramesCollection) {
            var relshipTypeNd = aras.getRelationshipType(tabId);
            var relshipTypeName = aras.getItemProperty(relshipTypeNd.node, "name");
            if (relshipTypeName === "sop_sale_order_details") {
                iFramesCollection[tabId].contentWindow.location.reload();
            }
        }
    }
}
/** clear previous relationships data initially **/

//Function to hide tabs
hideTabs = function() {

    //Check if relationship grid is loaded
    if (!isTabbarReady()) {
        setTimeout(hideTabs, 10);
        return;
    }

    tabbar = parent.relationships.relTabbar;
    tabbar.SetTabEnabled("133CD4E0D27345AA9356DB7ABF5618CC", false);
    tabbar.SetTabEnabled("09281AE0FB914A139BEE239D0A93EEA7", true);
    tabbar.SetTabEnabled("CEEF1563C1E04BE8812355EAB10BB7C9", true);

    desiredTabId = "09281AE0FB914A139BEE239D0A93EEA7";
    tabbar.selectTab(desiredTabId);

    // Check if desired tab is selected
    if (!isTabSelected(desiredTabId)) {
        setTimeout(hideTabs, 10);
        return;
    }

    parent.relationshipsControl.onloaded();
};

//Function to check if relationship grid is loaded
var isTabbarReady = function() {

    if (parent.relationships === undefined)
        return false;

    var isReady = Boolean(!parent.relationships ||
        !parent.relationships.relTabbarReady ||
        parent.relationships.relTabbar.GetTabOrder("|") !== "");
    return isReady;
};

//Function to check if desired tab is selected
var isTabSelected = function(palceholderTabId) {
    return (tabbar.GetSelectedTab() === palceholderTabId);
};

//Call hideTabs function
setTimeout(hideTabs, 10);]]></method_code>
  <method_type>JavaScript</method_type>
  <name>HideTabs_EquipmentDetails</name>
 </Item>
</AML>